Dirty COW: bug com 9 anos ameaça a segurança do Linux

O linux é tido como um sistema com elevados níveis de segurança e que estará imune a bugs e falhas. No entanto, tal como outros sistemas, a verdade é que o linux é também vítima de algumas vulnerabilidades.

A mais recente falha descoberta está no kernel e aí tem residido nos últimos 9 anos. O Dirty COW afecta todas as distribuições e o seu nível de severidade é muito elevado.

Dirty COW

Esta falha, o Dirty COW, poderia ser encarada como apenas mais uma falha que foi encontrada no kernel do Linux. Com o seu nome a ser derivado da função que é explorada, Copy On Write, permite aos atacantes obter privilégios dentro do sistema e assim ter acesso a todas as contas e a todas as funções.

O problema maior é que o Dirty COW tem já bastantes anos e está a ser activamente explorado. Em conjunto com outras falhas permite que o ataque seja realizado remotamente e sem qualquer necessidade de acesso directo às máquinas.

Já com o identificador CVE-2016-5195, esta falha estará presente em milhares de máquinas, muitas delas já sem qualquer suporte e, por isso, sem qualquer possibilidade de actualização.

Dirty COW logo

Como funciona o Dirty COW

O Dirty COW consegue obter sucesso ao explorar uma falha que existe em todas as versões do kernel de há vários anos para cá. Segundo o investigador que a descobriu é simples de ser explorada e uma vez conseguido, dá acesso a todas as permissões dentro do sistema.

O problema maior é mesmo a sua idade e a quantidade de equipamentos onde está presente. Com 9 anos de existência a falha dificilmente será resolvida na maioria das máquinas e sistemas onde está presente, dada a falta de suporte.

Os principais sistemas têm já uma actualização disponível e que todos devem aplicar o mais depressa possível. Tanto a Red Hat, Debian e Ubuntu lançaram já as respectivas correcções para os seus sistemas.

Dirty COW Android

O Android também é afectado pelo Dirty COW?

Infelizmente a resposta é sim. Sendo também um sistema baseado no kernel linux, o Android tem presente a vulnerabilidade Dirty COW. A Google já está alertada para o problema e partilhou com os seus parceiros o problema. Resta agora às marcas actualizarem os seus sistemas e os seus equipamentos.

Esta seria apenas mais uma falha no linux, que depressa seria mitigada. O problema é a sua idade e os sistemas onde está presente. Há já quem a esteja a explorar e por isso é urgente que todos os sistemas sejam actualizados com as correcções já disponíveis.

Dirty COW

Fonte do Artigo

Share

Também pode gostar de...

Deixar uma resposta

%d bloggers like this: